Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.gotoandplay.smartfoxclient.http
Class HttpEvent

    java.lang.Object
      it.gotoandplay.smartfoxclient.SFSEvent
          it.gotoandplay.smartfoxclient.http.HttpEvent

    public class HttpEvent

extends SFSEvent

Field Summary
`static java.lang.String` | `onHttpClose`
`static java.lang.String` | `onHttpConnect`
`static java.lang.String` | `onHttpData`
`static java.lang.String` | `onHttpError`

Fields inherited from class it.gotoandplay.smartfoxclient.SFSEvent
`onAdminMessage, onBuddyList, onBuddyListError, onBuddyListUpdate, onBuddyPermissionRequest, onBuddyRoom, onConfigLoadFailure, onConfigLoadSuccess, onConnection, onConnectionLost, onCreateRoomError, onDebugMessage, onExtensionResponse, onJoinRoom, onJoinRoomError, onLogin, onLogout, onModeratorMessage, onObjectReceived, onPlayerSwitched, onPrivateMessage, onPublicMessage, onRandomKey, onRoomAdded, onRoomDeleted, onRoomLeft, onRoomListUpdate, onRoomVariablesUpdate, onRoundTripResponse, onSpectatorSwitched, onUserCountChange, onUserEnterRoom, onUserLeaveRoom, onUserVariablesUpdate`

Constructor Summary
`HttpEvent(java.lang.String type, SFSObject params)`

Method Summary

Methods inherited from class it.gotoandplay.smartfoxclient.SFSEvent
`getName, getParams, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### onHttpData

    public static final java.lang.String onHttpData

See Also:
  Constant Field Values

### onHttpError

    public static final java.lang.String onHttpError

See Also:
  Constant Field Values

### onHttpConnect

    public static final java.lang.String onHttpConnect

See Also:
  Constant Field Values

### onHttpClose

    public static final java.lang.String onHttpClose

See Also:
  Constant Field Values

Constructor Detail

### HttpEvent

    public HttpEvent(java.lang.String type,
                     SFSObject params)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD